openQA Project - action #81142

VNC console corruption
2020-12-17 11:07 - MDoucha

Status: New Start date: 2020-12-17
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Concrete Bugs Estimated time: 0.00 hour
Target version: future

Difficulty:

Description

It appears that issue #61994 is back, this time on PPC64LE. LTP tests fail to boot because switching from boot animation to login
screen corrupts VNC frame buffer and needles fail to match.

https://openga.suse.de/tests/51877414#step/boot_Itp/9

https://openga.suse.de/tests/5187758#step/boot_Itp/8

Related issues:

Related to openQA Tests - action #81808: [sle][security][sle15sp3] test fails... Resolved 2021-01-06
Related to openQA Infrastructure - action #61994: VNC console corruption on a... Resolved 2020-01-10 2020-01-21
History

#1 - 2021-01-06 14:11 - pvorel

- Subject changed from VNC console corruption on PPC64LE to VNC console corruption

metan reported other broken tests on 64bit (intel and amd workers)

https://openga.suse.de/tests/5248398#step/shutdown_ltp/52
https://openqa.suse.de/tests/52418324#step/shutdown_Itp/52

#2 - 2021-01-07 01:06 - rfan1
Hi,
| hit the similar issue, https://progress.opensuse.org/issues/81808#change-360829

#3 - 2021-01-07 07:57 - pvorel

- Related to action #81808: [sle][security][sle15sp3] test fails in ima_appraisal_hashes about background screen chaos added

#4 - 2021-01-07 11:40 - coolo

- Project changed from openQA Infrastructure to openQA Project

| don't think this is an infrastructure problem - until proven differently. Do we have any test case that shows it often enough to justify any debugging on
this?

#5 - 2021-01-07 12:19 - MDoucha

coolo wrote:
| don't think this is an infrastructure problem - until proven differently. Do we have any test case that shows it often enough to justify any
debugging on this?

We have no specific test case. But we do have multiple random test failures all over OSD every day now due to this issue.

But | guess what might trigger this bug reliably would be booting to desktop and then sending alternately Ctrl+Alt+F1 and Alt+F7 with 5 second delay
about a hundred times.

#6 - 2021-01-14 17:09 - okurz

- Target version changed from Ready to future

| don't think SUSE QE Tools can help easily here. | am convinved this needs better reproduction from test side. If you can achieve that and need help
in something backend related where SUSE QE Tools can likely help we will look into this again.
#7 - 2021-01-14 17:09 - okurz

- Category set to Concrete Bugs

#8 - 2021-02-09 07:33 - vpelcak
Hello.
Martin Doucha will start working on reproducer for you towards the end of the week.

#9 - 2021-02-09 10:15 - szarate

| wonder if it's related to: https://bugzilla.opensuse.org/show_bug.cgi?id=1160707

#10 - 2021-02-09 15:09 - MDoucha

szarate wrote:

| wonder if it's related to: https://bugzilla.opensuse.org/show_bug.cgi?id=1160707

Yes, it appears to be the same bug. Also reported as https:/progress.opensuse.org/issues/61994 the first time it appeared a year ago on aarch64.

#11 - 2021-02-09 15:10 - MDoucha
- Related to action #61994: VNC console corruption on aarch64 added

#12 - 2021-02-16 16:56 - MDoucha

I've tried to reliably reproduce the issue by writing a test module that'll just switch between console login screen and X11 login screen and check
needles after each switch but I've failed so far. When was the last time the VNC corruption happened?

#13 - 2021-08-03 13:09 - acarvajal
Seen this (or something similar) three times today in SLES+HA QAM Single Incidents 15-SP3 job group:
e https://openga.suse.de/tests/6617256#step/priority_fencing_delay/47

¢ https://openqga.suse.de/tests/6639074+#step/priority_fencing_delay/18
e https://openqga.suse.de/tests/6617127#step/priority_fencing_delay/76

Issue seems sporadic, as test is passing with other recent MUs. Last jobs even has 3 fence/reboots and issue is present only the third time.

#14 - 2021-08-03 14:05 - MDoucha

I've created PR https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/13020 to rule out one possible cause of the console corruption. Let's
see what the kernel thinks the console should look like.

#15 - 2021-08-11 16:45 - MDoucha
- File framebuffer-6794466.png added

We have first framebuffer screenshots of the screen corruption bug (PNG version attached):
https://openqa.suse.de/tests/6794466#step/boot_ltp/4

Result: negative.

Which means that the bug is somewhere between bochsdrmfb driver and VNC client. Next, I'll try switching QEMUVGA device in kernel tests to see
whether the bug shows up anyway by September.

#16 - 2021-08-26 01:24 - openqga_review
This is an autogenerated message for openQA integration by the openga_review script:

This bug is still referenced in a failing openQA test: gam_ha_priority_fencing_node02
https://openga.suse.de/tests/6639074

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted

2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed

#17 - 2021-10-19 08:58 - MDoucha

I've reported kernel/QEMU bug after further investigation:
